#
# Conditional build:
%bcond_without	static_libs	# don't build static libraries
#
Summary:	Library for reading .pst files
Summary(pl.UTF-8):	Biblioteka do czytania plików .pst
Name:		libpst
Version:	0.6.55
Release:	1
License:	GPL v2+
Group:		Libraries
Source0:	http://www.five-ten-sg.com/libpst/packages/%{name}-%{version}.tar.gz
# Source0-md5:	45920d77e3f9216bcd3aba43a159b40e
Patch0:		%{name}-m4.patch
URL:		http://www.five-ten-sg.com/libpst/
BuildRequires:	ImageMagick
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	boost-python-devel
BuildRequires:	gd-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	python-devel
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Library for reading PST (MS Outlook Personal Folders) files.

%description -l pl.UTF-8
Biblioteka do czytania plików .pst.

%package devel
Summary:	Header files for libpst library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libpst
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libpst library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libpst.

%package static
Summary:	Static libpst library
Summary(pl.UTF-8):	Statyczna biblioteka libpst
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libpst library.

%description static -l pl.UTF-8
Statyczna biblioteka libpst.

%package tools
Summary:	Utilities for converting Microsoft Outlook .pst files
Summary(pl.UTF-8):	Narzędzia do konwertowania plików .pst Microsoft Outlooka
Group:		Applications
Requires:	%{name} = %{version}-%{release}
Requires:	ImageMagick
Obsoletes:	readpst

%description tools
Utilities for converting Microsoft Outlook .pst files.

%description tools -l pl.UTF-8
Narzędzia do konwertowania plików .pst Microsoft Outlooka.

%package -n python-libpst
Summary:	libpst Python bindings
Summary(pl.UTF-8):	Wiązania libpst dla Pythona
Group:		Development/Languages/Python

%description -n python-libpst
libpst Python bindings.

%description -n python-libpst -l pl.UTF-8
Wiązania libpst dla Pythona.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static} \
	--enable-dii \
	--enable-libpst-shared

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitedir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{py_sitedir}/_libpst.{a,la}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/libpst.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpst.so.4

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpst.so
%{_libdir}/libpst.la
%{_includedir}/libpst-4
%{_pkgconfigdir}/libpst.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libpst.a
%endif

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/lspst
%attr(755,root,root) %{_bindir}/nick2ldif
%attr(755,root,root) %{_bindir}/pst2dii
%attr(755,root,root) %{_bindir}/pst2ldif
%attr(755,root,root) %{_bindir}/readpst
%{_mandir}/man1/lspst.1*
%{_mandir}/man1/pst2dii.1*
%{_mandir}/man1/pst2ldif.1*
%{_mandir}/man1/readpst.1*
%{_mandir}/man5/outlook.pst.5*

%files -n python-libpst
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/_libpst.so
%changelog
* Fri Aug 10 2012 Łukasz Kieś <kiesiu@pld-linux.org> 9834df6
- updated to 0.6.55

* Thu Jul 12 2012 Jan Rękorajski <baggins@pld-linux.org> 9ebd005
Rebuild with boost 1.50
Release 3

* Sun Mar 11 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> d0f19a3
- release 2

* Thu Dec 29 2011 Jakub Bogusz <qboosh@pld-linux.org> 35f6d1e
- updated to 0.6.54

* Fri Jul 15 2011 marti <marti@pld-linux.org> 555075d
- up to 0.6.53

* Wed May 25 2011 marti <marti@pld-linux.org> 43c5bda
- up to 0.6.52

* Tue May 03 2011 Jakub Bogusz <qboosh@pld-linux.org> 558bf12
- package NEWS and nick2ldif tool

* Fri Apr 29 2011 marti <marti@pld-linux.org> 2357a4d
- up to 0.6.51
- fixes buffer overrun according to: https://bugzilla.redhat.com/show_bug.cgi?id=696263

* Mon Nov 15 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 6539b01
- release 2

* Tue Sep 14 2010 lisu <lisu@pld-linux.org> 8d8f484
- updated to 0.6.49

* Fri Sep 03 2010 Elan Ruusamäe <glen@pld-linux.org> c66895d
- up to 0.6.48, static_libs bcond

* Sun Aug 29 2010 Elan Ruusamäe <glen@pld-linux.org> 1f2cd58
- note about what pst file is for

* Mon Aug 16 2010 lisu <lisu@pld-linux.org> 27c114a
- applied upstream

* Mon Aug 16 2010 lisu <lisu@pld-linux.org> 9c919b9
- notice patch removal

* Mon Aug 16 2010 lisu <lisu@pld-linux.org> 5b65699
- 0.6.47
- rm obsolete -asneeded.patch

* Sun Aug 15 2010 lisu <lisu@pld-linux.org> a624d13
- install _libpst.so in proper place
- rel 3

* Fri Jul 09 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> ad00395
- release 2

* Fri Feb 26 2010 sparky <sparky@pld-linux.org> 8cc9c34
- BR: python-devel, python-modules, rpm-pythonprov

* Thu Feb 25 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 8a1b1bd
- updated to 0.6.45 (new soname)
- added -m4.patch and -asneeded.patch
- added python-libpst package

* Thu Feb 25 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 4030509
- fixes linking

